package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.auto.AutoFlow;
import com.brilliance.isc.bo.auto.AutoflowQueBo;
import com.brilliance.isc.vo.automatic.AutoflowParamVo;
import com.brilliance.isc.vo.component.que.QueParamVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AutoFlowMapper {

    int insertSelective(AutoFlow autoFlow);

    AutoFlow selectByPrimaryKey(@Param("inr") String inr);

    AutoFlow selectSelective(AutoFlow autoFlow);

    List<AutoFlow> selectWaitAndResume(@Param("type") String type, @Param("num") int num);

    List<AutoflowQueBo> selectList(@Param("param") AutoflowParamVo param);

    int updateByPrimaryKeySelective(AutoFlow autoFlow);

    int deleteByPrimaryKey(@Param("inr") String inr);

    AutoFlow selectBySrc(@Param("srctyp") String srctyp,@Param("srcinr") String srcinr);

    AutoFlow selectByTrnInr(@Param("trninr") String trninr);
}